## Create a Namespace `client.kv.namespaces.create(NamespaceCreateParamsparams, RequestOptionsoptions?): Namespace` **post** `/accounts/{account_id}/storage/kv/namespaces` Creates a namespace under the given title. A `400` is returned if the account already owns a namespace with this title. A namespace must be explicitly deleted to be replaced. ### Parameters - `params: NamespaceCreateParams` - `account_id: string` Path param: Identifier. - `title: string` Body param: A human-readable string name for a Namespace. ### Returns - `Namespace` - `id: string` Namespace identifier tag. - `title: string` A human-readable string name for a Namespace. - `supports_url_encoding?: boolean` True if keys written on the URL will be URL-decoded before storing. For example, if set to "true", a key written on the URL as "%3F" will be stored as "?". ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const namespace = await client.kv.namespaces.create({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', title: 'My Own Namespace', }); console.log(namespace.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "0f2ac74b498b48028cb68387c421e279", "title": "My Own Namespace", "supports_url_encoding": true } } ```